<?php
//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$StrNew="NO";
		$Id=$StrId;
		$vv="vcotizaciones";
		$cc="ID=$Id";
		$StrAlm=gs("ALM",$vv,$cc);
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')",$vv,$cc);		
		$StrSer=gs("SER",$vv,$cc);
		$StrNum=gs("NUM",$vv,$cc);
		$StrMon=gs("MON",$vv,$cc);
		if($StrMon=="S") $StrMon="SOLES";
		if($StrMon=="D") $StrMon="DOLARES";
		$StrIdCliente=gn("IDCLI",$vv,$cc);
		$StrCliente=gs("CLI",$vv,$cc);
		$StrRuc=gs("RUC",$vv,$cc);
		$StrNPed=gs("NPED",$vv,$cc);
		$StrContacto=gs("CONT",$vv,$cc);
		$StrN_INC=gs("IIG",$vv,$cc);
		$Str_PRI=gs("cot_pri","cotizaciones","id_cotizacion=$Id");
		$Str_DES=gs("cot_des","cotizaciones","id_cotizacion=$Id");
		$Str_VER=gs("cot_ver","cotizaciones","id_cotizacion=$Id");
		$StrSto_=gn("cot_id_alm","cotizaciones","id_cotizacion=$Id");
		$StrVen=gs("VEN","vcotizaciones","ID=$Id");
		$StrTdp=gs("TDP","vcotizaciones","ID=$Id");
		$StrAcu=gn("ACU","vcotizaciones","ID=$Id");
		$StrMon=gs("MND","vcotizaciones","ID=$Id");
		$StrVue=gn("VUE","vcotizaciones","ID=$Id");
		$StrSal=gn("SAL","vcotizaciones","ID=$Id");	
		$StrMod=gs("MODAL","vcotizaciones","ID=$Id");
		$StrTReal=gn("TOT_DES","vcotizaciones","ID=$Id");
		$StrTDes=gn("TOT_DES","vcotizaciones","ID=$Id");
		if(strlen($StrMod)==0)$StrMod="EFECTIVO";
		if($StrSto==0){
			$StrSto="TODOS";
		}else{
			$StrSto=gs("alm_obs","cotizaciones","id_cotizacion=$Id");
		}
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");
		$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$Id ORDER BY cx";
		$cx=0;
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=$row[4];
			$AR_IM=$row[5];
			$AR_DT=$row[6];
			$AR_CO=$row[7];
			$AR_DE=$row[8];
			$AR_CU=$row[9];					
			$s="INSERT INTO temp_compras2 VALUES ('$StrHWND_COT',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,
			   '$AR_CO','$AR_DE',$AR_DT,$AR_CU)";
			ejt($s);
		}
		$_ID=gn("count(*)","ventas","ven_id_com=-3 AND ven_id_ven=$Id AND anu='N'");
		if($_ID>0){
			$DR=$_ID;
		}else{
			$_ID=gn("count(*)","ginterna","gi_id_cotizacion=$Id AND gi_anu='N'");
			if($_ID>0){
				$DR=$_ID;
			}else{
				$_ID=gn("count(*)","guias","id_comr=-3 AND id_ref=$Id AND anu='N'");
			}
		}
		
	}		
?>